%global	hash_thread1	2501673c
%global	hash_thread2	5d70

Name:		xfe
Version:	1.44
Release:	%mkrel 1
Summary:	X File Explorer File Manager
Group:          File tools
License:	GPLv2+
URL:		http://roland65.free.fr/xfe/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
# Temporarily
# Use system-wide startup-notification: need discuss with upstream
Patch0:	xfe-1.44-use-system-libsn.patch

BuildRequires:	make
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libpng-devel
BuildRequires:	startup-notification-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-aux)
BuildRequires:	pkgconfig(xcb-event)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(fox)
# Patch0
BuildRequires:	autoconf
BuildRequires:	automake

%description
X File Explorer (xfe) is a lightweight file manager for X11, 
written using the FOX toolkit.

%package	theme
Summary:	Extra theme files for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	theme
This package contains extra theme files for %{name}.

%prep
%setup -q
%patch0 -p1 -b .syssn

for f in \
	ChangeLog
do
	mv $f{,.iso}
	iconv -f ISO-8859-1 -t UTF-8 -o $f{,.iso}
	touch -r $f{.iso,}
	rm -f $f.iso
done

# Fix libreoffice related command name (bug 1788292)
sed -i.oo xferc.in \
	-e 's|lobase|oobase|g' \
	-e 's|localc|oocalc|g' \
	-e 's|lodraw|oodraw|g' \
	-e 's|loimpress|ooimpress|g' \
	-e 's|lomath|oomath|g' \
	-e 's|lowriter|oowriter|g' \
	%{nil}

# Patch0
autoreconf -fi
rm -rf libsn

%build
%configure \
	--bindir=%{_libexecdir}/%{name}
make %{?_smp_mflags}

%install
%make_install \
	INSTALL="install -p"

%find_lang %{name}

# Tweak too generic and short names
mkdir -p %{buildroot}%{_datadir}/%{name}/pixmaps
mkdir -p %{buildroot}%{_bindir}
for suffix in \
	i e p w
do
	cat > %{buildroot}%{_bindir}/xfe-xf${suffix} <<EOF
#!/bin/sh
export PATH=%{_libexecdir}/%{name}:\$PATH
exec xf${suffix} \$@
EOF
	chmod 0755 %{buildroot}%{_bindir}/xfe-xf${suffix}

	mv %{buildroot}%{_datadir}/pixmaps/xf${suffix}.{png,xpm} \
		%{buildroot}%{_datadir}/%{name}/pixmaps/
	mv %{buildroot}%{_datadir}/applications/{,xfe-}xf${suffix}.desktop
	# Modify desktop file
	sed -i \
		-e "\@^Exec=@s|xf${suffix}|xfe-xf${suffix}|" \
		-e "s|Icon=xf${suffix}|Icon=%{_datadir}/%{name}/pixmaps/xf${suffix}.png|" \
		%{buildroot}%{_datadir}/applications/xfe-xf${suffix}.desktop
	desktop-file-validate %{buildroot}%{_datadir}/applications/xfe-xf${suffix}.desktop

	mv %{buildroot}%{_mandir}/man1/{,xfe-}xf${suffix}.1
done
rmdir %{buildroot}%{_datadir}/pixmaps/

# Move configuration files
mkdir %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_datadir}/%{name}/xferc \
	%{buildroot}%{_sysconfdir}
ln -sf %{_sysconfdir}/xferc %{buildroot}%{_datadir}/%{name}/xferc

%files	-f %{name}.lang
%doc	AUTHORS
%doc	BUGS
%license	COPYING
%doc	ChangeLog
%doc	README
%doc	TODO

%config(noreplace)	%{_sysconfdir}/xferc

%{_bindir}/xfe-xf*
%dir	%{_libexecdir}/%{name}
%{_libexecdir}/%{name}/xf*
%{_datadir}/applications/xfe-xf*.desktop
%dir	%{_datadir}/%{name}
%{_datadir}/%{name}/xferc
%dir	%{_datadir}/%{name}/icons/
%{_datadir}/%{name}/icons/default-theme/
%{_datadir}/%{name}/icons/gnome*-theme/
%{_datadir}/%{name}/pixmaps/

%{_mandir}/man1/xfe-xf*.1*

%files	theme
%{_datadir}/%{name}/icons/*-theme/
%exclude	%{_datadir}/%{name}/icons/default-theme/
%exclude	%{_datadir}/%{name}/icons/gnome*-theme/


%changelog
* Thu Aug 11 2022 neoclust <neoclust> 1.44-1.mga9
+ Revision: 1877009
- New version 1.4

* Tue Mar 29 2022 umeabot <umeabot> 1.43.2-3.mga9
+ Revision: 1831552
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.43.2-2.mga8
+ Revision: 1527269
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 1.43.2-1.mga8
+ Revision: 1421194
- new version: 1.43.2

* Sun Oct 21 2018 daviddavid <daviddavid> 1.43.1-1.mga7
+ Revision: 1323270
- new version: 1.43.1

* Sun Sep 23 2018 umeabot <umeabot> 1.43-2.mga7
+ Revision: 1301897
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 1.43-1.mga7
+ Revision: 1252109
- new version: 1.43

* Mon Apr 03 2017 akien <akien> 1.42-1.mga6
+ Revision: 1095776
- Version 1.42

* Fri Mar 04 2016 fwang <fwang> 1.41-1.mga6
+ Revision: 985432
- mvoe rc file
- fix rcdir
- 1.41

* Fri Feb 12 2016 umeabot <umeabot> 1.40.1-4.mga6
+ Revision: 959316
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 fwang <fwang> 1.40.1-3.mga6
+ Revision: 864257
- use shipped desktop file
- rediff patches

* Thu Aug 13 2015 fwang <fwang> 1.40.1-1.mga6
+ Revision: 864250
- 1.40.1

* Wed Oct 15 2014 umeabot <umeabot> 1.37-3.mga5
+ Revision: 740748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.37-2.mga5
+ Revision: 690647
- Mageia 5 Mass Rebuild

* Thu Apr 24 2014 fwang <fwang> 1.37-1.mga5
+ Revision: 617553
- support freetype 2.5
- 1.37

* Sat Oct 19 2013 umeabot <umeabot> 1.34-2.mga4
+ Revision: 523907
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 1.34-1.mga4
+ Revision: 428139
- new version 1.34

* Mon Jan 14 2013 umeabot <umeabot> 1.33-2.mga3
+ Revision: 386898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 fwang <fwang> 1.33-1.mga3
+ Revision: 289922
- new version 1.33

* Tue Jul 03 2012 fwang <fwang> 1.32.5-1.mga3
+ Revision: 266861
- update desktop file patch
- new version 1.32.5

* Fri Feb 03 2012 malo <malo> 1.32.4-1.mga2
+ Revision: 204181
- use %%mkrel.
- spec clean-up after import from Mandriva
- little patching for correct icon and config paths
- imported package xfe


* Thu Nov 17 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.32.4-1
+ Revision: 731203
- version update

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.19.2-4mdv2011.0
+ Revision: 615676
- the mass rebuild of 2010.1 packages

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 1.19.2-3mdv2010.1
+ Revision: 541529
- fix build with gcc 44

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 1.19.2-1mdv2009.0
+ Revision: 261986
- update to new version 1.19.2

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19.1-1mdv2009.0
+ Revision: 233529
- update to new version 1.19.1

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19-1mdv2009.0
+ Revision: 219403
- update to new version 1.19

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.18-1mdv2009.0
+ Revision: 215216
- fix file list
- update to new version 1.18
- add missing buildrequires
- new version
- new library policy
- compile with posix thread suport

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99-1mdv2008.0
+ Revision: 14817
- new version

